package actinScope;
/*
 * InertGuiHead... formating for menu headers
 */
/*  <ActinScope - for the simulation of dendritic actin networks>
    Copyright (C) <2005>  <Jonathan B. Alberts>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.awt.*;
import java.awt.event.*;
import java.lang.Math;
import javax.swing.*;
import javax.swing.event.*;

import java.text.*;
import java.util.*;

public class InertGuiHead {
	JLabel label1,label2,label3;
	
	public InertGuiHead (String pos1, String pos2, String pos3) {
		label1 = new JLabel(pos1);
		label2 = new JLabel(pos2);
		label3 = new JLabel(pos3);
		
		label1.setFont(Env.headFont);
		label1.setHorizontalAlignment(JLabel.LEFT);
		label1.setForeground(Env.controlForeColor);
		
		label2.setFont(Env.headFont);
		label2.setHorizontalAlignment(JLabel.CENTER);
		label2.setForeground(Env.controlForeColor);
		
		label3.setFont(Env.headFont);
		label3.setHorizontalAlignment(JLabel.RIGHT);
		label3.setForeground(Env.controlForeColor);
	}
	
	public void addToPanel (JPanel thePanel) {
		thePanel.add(label1);
		thePanel.add(label2);
		thePanel.add(label3);
	}
}
